Bug 246513 - Directory Console needs concept of a server root removed
Summary: Directory Console needs concept of a server root removed
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Directory Console   
(Show other bugs)
Version: 1.1.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 240316 FDS1.1.0
TreeView+ depends on / blocked
 
Reported: 2007-07-02 19:14 UTC by Nathan Kinder
Modified: 2015-12-07 16:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 16:50:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CVS Diffs (47.23 KB, patch)
2007-07-02 19:14 UTC, Nathan Kinder
no flags Details | Diff
CVS Commit Message (4.63 KB, text/plain)
2007-07-02 19:48 UTC, Nathan Kinder
no flags Details

Description Nathan Kinder 2007-07-02 19:14:47 UTC
The notion of a "Server Root" has gone away in Admin Server, so the Directory
Server Console needs to adjust for this.  The server root is mainly used for
setting default paths for things such as logs, databases, changelogs, ldifs, and
backups.

The attached changes remove all traces of the server root.  This was largely
done by adding some path fetching helper functions to the DSUtil class.  These
functions query the directory server configuration for the path locations.  

Another area that needed some changes was the log viewer panel.  The viewlog CGI
has changed in AdminServer, so we needed to change the parameters that we pass
to it from the console.

There are some other minor changes that I made such as popping up an error
dialog if you try to browse for an entry distribution plugin when running
console on a remote machine. I've also bumped the version up to 1.1.0.

Comment 1 Nathan Kinder 2007-07-02 19:14:51 UTC
Created attachment 158366 [details]
CVS Diffs

Comment 2 Nathan Kinder 2007-07-02 19:48:56 UTC
Created attachment 158371 [details]
CVS Commit Message

Checked into directoryconsole (HEAD).  Thanks for the review Rich!

Comment 3 Anh Nguyen 2007-12-11 17:11:42 UTC
Verified.
Covered by the DS 80 Console tests.


Note You need to log in before you can comment on or make changes to this bug.